com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Interface CompressionFactory

- All Known Implementing Classes:
    ComponentCompressionFactory

      public interface CompressionFactory

  A SSH compression factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CompressionFactory.Mode` Algorithm mode.
    `static class` | `CompressionFactory.OperationException` Represents an operation error.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Compression` | `clientToServerCompressionFor(java.lang.String name, CompressionFactory.Mode mode)` Returns a compression operation for client-server direction.
    `java.util.List<java.lang.String>` | `compressions()` Returns supported compression algorithms.
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Compression` | `serverToClientCompressionFor(java.lang.String name, CompressionFactory.Mode mode)` Returns a compression operation for server-client direction.

- - ### Method Detail

    - #### compressions

          java.util.List<java.lang.String> compressions()

      Returns supported compression algorithms.
      Returns:
        supported compression algorithms

    - #### clientToServerCompressionFor

          com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Compression clientToServerCompressionFor(java.lang.String name,
                                                                                                         CompressionFactory.Mode mode)
                                                                                                  throws CompressionFactory.OperationException

      Returns a compression operation for client-server direction.
      Parameters:
        `name` - a SSH algorithm name
        `mode` - an algorithm mode
      Returns:
        a compression operation
      Throws:
        `CompressionFactory.OperationException` - if an error occurs

    - #### serverToClientCompressionFor

          com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Compression serverToClientCompressionFor(java.lang.String name,
                                                                                                         CompressionFactory.Mode mode)
                                                                                                  throws CompressionFactory.OperationException

      Returns a compression operation for server-client direction.
      Parameters:
        `name` - a SSH algorithm name
        `mode` - an algorithm mode
      Returns:
        a compression operation
      Throws:
        `CompressionFactory.OperationException` - if an error occurs

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved